# proacd configuration PPPoE AC

# Routes connect sources to destinations: in this case
# PPPoE requests are routed to L2TP destination
route "r1" {

    source pppoe {
        # Listen for PPPoE packets on interface eth0
        interface "eth0"

        # Advertise the service name "pppoe1" to clients
        service_name advertised "pppoe1"
    }

    destination l2tp {
        # Request prol2tpd to create tunnel "t0" for this route,
        # using the named profile "tp0".  The profile must correspond
        # to a configured profile in prol2tpd.conf.
        tunnel_name "t0"
        tunnel_profile "tp0"

        # The IP address of the L2TP peer for the tunnel
        peer_address 10.42.42.10
    }
}
